package javax.sql.rowset;

import javax.sql.RowSetEvent;
import java.sql.Savepoint;
import javax.sql.RowSetMetaData;
import javax.sql.rowset.spi.SyncProvider;
import java.util.Collection;
import javax.sql.rowset.spi.SyncProviderException;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.ResultSet;
import javax.sql.RowSet;

public interface CachedRowSet extends RowSet, Joinable
{
    @Deprecated
    public static final boolean COMMIT_ON_ACCEPT_CHANGES = true;
    
    public abstract void populate(ResultSet p0) throws SQLException;
    
    public abstract void execute(Connection p0) throws SQLException;
    
    public abstract void acceptChanges() throws SyncProviderException;
    
    public abstract void acceptChanges(Connection p0) throws SyncProviderException;
    
    public abstract void restoreOriginal() throws SQLException;
    
    public abstract void release() throws SQLException;
    
    public abstract void undoDelete() throws SQLException;
    
    public abstract void undoInsert() throws SQLException;
    
    public abstract void undoUpdate() throws SQLException;
    
    public abstract boolean columnUpdated(int p0) throws SQLException;
    
    public abstract boolean columnUpdated(String p0) throws SQLException;
    
    public abstract Collection<?> toCollection() throws SQLException;
    
    public abstract Collection<?> toCollection(int p0) throws SQLException;
    
    public abstract Collection<?> toCollection(String p0) throws SQLException;
    
    public abstract SyncProvider getSyncProvider() throws SQLException;
    
    public abstract void setSyncProvider(String p0) throws SQLException;
    
    public abstract int size();
    
    public abstract void setMetaData(RowSetMetaData p0) throws SQLException;
    
    public abstract ResultSet getOriginal() throws SQLException;
    
    public abstract ResultSet getOriginalRow() throws SQLException;
    
    public abstract void setOriginalRow() throws SQLException;
    
    public abstract String getTableName() throws SQLException;
    
    public abstract void setTableName(String p0) throws SQLException;
    
    public abstract int[] getKeyColumns() throws SQLException;
    
    public abstract void setKeyColumns(int[] p0) throws SQLException;
    
    public abstract RowSet createShared() throws SQLException;
    
    public abstract CachedRowSet createCopy() throws SQLException;
    
    public abstract CachedRowSet createCopySchema() throws SQLException;
    
    public abstract CachedRowSet createCopyNoConstraints() throws SQLException;
    
    public abstract RowSetWarning getRowSetWarnings() throws SQLException;
    
    public abstract boolean getShowDeleted() throws SQLException;
    
    public abstract void setShowDeleted(boolean p0) throws SQLException;
    
    public abstract void commit() throws SQLException;
    
    public abstract void rollback() throws SQLException;
    
    public abstract void rollback(Savepoint p0) throws SQLException;
    
    public abstract void rowSetPopulated(RowSetEvent p0, int p1) throws SQLException;
    
    public abstract void populate(ResultSet p0, int p1) throws SQLException;
    
    public abstract void setPageSize(int p0) throws SQLException;
    
    public abstract int getPageSize();
    
    public abstract boolean nextPage() throws SQLException;
    
    public abstract boolean previousPage() throws SQLException;
}
